white box randomly shows up at top left corner blocking applications from using stuff under it

Reported by Mario Limonciello on 2012-02-24
860
This bug affects 167 people
Affects Status Importance Assigned to Milestone
Compiz Animations Plugin
High
Sam Spilsbury
Compiz Main Plugins
High
Sam Spilsbury
Unity
High
Sam Spilsbury
compiz (Ubuntu)
High
Sam Spilsbury
compiz-plugins-main (Ubuntu)
High
Unassigned

Bug Description

I've had this happen 3 times now. I've gotten a white rectangular box show up in the corner of the screen. The box is of varying sizes, and only goes away after a reboot.

I've been using chrome every time it's happened, but I don't know that it's caused by chrome specifically.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: unity 5.4.0-0ubuntu2
ProcVersionSignature: Ubuntu 3.2.0-17.26-generic 3.2.6
Uname: Linux 3.2.0-17-generic i686
.tmp.unity.support.test.0:

ApportVersion: 1.93-0ubuntu2
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,vpswitch,move,mousepoll,gnomecompat,snap,compiztoolbox,wall,regex,resize,imgpng,place,animation,resizeinfo,grid,fade,session,workarounds,expo,unitymtgrabhandles,scale,ezoom,unityshell]
CompositorRunning: compiz
Date: Fri Feb 24 14:27:47 2012
DistUpgraded: Log time: 2012-02-17 15:21:15.462721
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-dell-lucid-une-20100427-1
DistroCodename: precise
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) [8086:2a02] (rev 0c) (prog-if 00 [VGA controller])
   Subsystem: Dell Latitude D630 [1028:01f9]
   Subsystem: Dell Device [1028:01f9]
InstallationMedia: Ubuntu 10.04 "Lucid" - Build i386 LIVE Binary 20100427-14:29
MachineType: Dell Inc. Latitude D630
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 TERM=xterm
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-17-generic root=UUID=fa8d2464-5942-4868-877b-6bed2f9b7c15 ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: Upgraded to precise on 2012-02-18 (6 days ago)
dmi.bios.date: 01/11/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A06
dmi.board.name: 0KU184
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA06:bd01/11/2008:svnDellInc.:pnLatitudeD630:pvr:rvnDellInc.:rn0KU184:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Latitude D630
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.7.0~bzr2995-0ubuntu5
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.1-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.1-0ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.99.901+git20120126-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Mario Limonciello (superm1) wrote :
Mario Limonciello (superm1) wrote :

here's another computer of mine that it happened on. nvidia graphics on this one.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Mario Limonciello (superm1) wrote :

I've also found when this happens that I can issue a "killall compiz" from a terminal and the white boxes go away. Compiz automatically respawns and the desktop is usable again.

Omer Akram (om26er) wrote :

try disabling the panel transparency and see if that makes a difference.

Christian Rupp (grissi) wrote :

I think this is the same problem also happend while using chrome, but it covered nearly the complete display, the area below it is usable but you can't see what you are doing.
On pressing Super+S the workspace switcher showed, but every workspace had the white box (sorry forgot to make a screenshot)
Tried unity --replace via alt+f2 it resulted in some flashes, afterwards the desktop was completely unsuable, the launcher didn't react, alt+tab worked, but every window fas filled with the background of the desktop

Tibi (shadow-walk) wrote :

this happens to me too... the box appear in the upper left corner of the screen and goes away only with killall compiz

nerdy_kid (nerdy-kid) wrote :

Same thing here, I use chrome a lot. I _think_ it might be the HTML5 notifications (like from gmail)

Tibi (shadow-walk) wrote :

yes, i discovered too that it is related to desktop notifications, especially when the browser is not focused and a notification pops-up... what is to be done? i dont like firefox html5 not via adddon because it is blended with ubuntu notifications..and i want those separate, in the lower right corner and clickable

Mario Limonciello (superm1) wrote :

Yup, definitely desktop notifications in chrome cause it. I just had 5 emails come in back to back and noticed the white box pop up when the notifications came up.

@omer:
When it last happened I opened up ccsm and turned off panel opacity (set it back to it's defaults). No difference. The box still remained.

Omer Akram (om26er) wrote :

Could anyone please point a few steps to reproduce the problem so we can update the bug description and then add it to the Unity priority list.

Changed in unity (Ubuntu):
importance: Undecided → High
Changed in unity:
importance: Undecided → High
status: New → Incomplete
Changed in unity (Ubuntu):
status: Confirmed → Incomplete
Sam Mackness (smackness) wrote :

this isn't 100% reproducible, but pretty close:

-open up chromium
-go to google music (google.com/music)
-start playing a song
-the chromium pop-up will show displaying the artist and track name (i think default is for it to pop-up in the bottom right)
-you'll see a small opaque white box show in the top left

as stated previously, restarting compiz makes the white box go away

Mario Limonciello (superm1) wrote :

I haven't yet reproduced it yet from this site, but it would probably be one of the easiest ways to force notification pop ups to come up:

http://www.html5rocks.com/en/tutorials/notifications/quick/

I've tried Sam Mackness's steps to reproduce the bug, but I wasn't successful in doing so...

I think the white box is definitely caused by the chrome notifications, but I still can't see a pattern. I get popup's in the lower right corner as part of the Google Dictionary Extension and I believe the last time one popped up it also made the white box appear on the upper left of my screen. I then restarted unity (the box disappeared) and tried to reproduce by sending emails to my Gmail account which I opened on my chrome browser on the affected machine. I saw all Email notifications pop up, but even after about 20 or so emails still no white box appeared. Maybe because I had already restarted unity once (after the white box initially appeared after the Dictionary pop up) ???

Did some more testing to see if the white box is caused by the Gmail Desktop Notifications. I rebooted and logged out/in a couple of times and each time after having logged in again, I started google chrome and sent an Email to myself (via a second device) to cause a pop up. But no white box showed up!

Daniel van Vugt (vanvugt) wrote :

I'm still getting this in oneiric. In fact it happened today and appeared to be caused by Chrome. Though I personally suspect a window leak of sorts in Nux or Unity, maybe Compiz.

I'm pretty sure I've had this problem since natty though (all versions of Unity).

Changed in compiz-core:
status: New → Incomplete
importance: Undecided → High

Well, I do run chrome a lot, so it does overlap. istr chrome does
create some (should be) unmapped windows for its own purposes and
perhaps that's not what unity's expecting. However, it persists even
after exiting chrome.

Daniel van Vugt (vanvugt) wrote :

Just happened again. When I opened Google Calendar in Chrome. The white window was the same size and shape as the client area of the Chrome window. Just shifted to x=0 and of course over the top of everything else.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in chromium-browser (Ubuntu):
status: New → Confirmed
Paul Kishimoto (khaeru) wrote :

I get what might be a variant of this bug. A white window or box appears covering the page display area but none of the UI in chromium.

My problem seems unrelated to either notifications or Flash; for example, it can appear when using the "Open Image in New Tab" context menu item. It always appears on the initial page load.

Despite the white box, I can Alt+Click to drag windows out of the covered area and interact with things underneath; they're just not visible.

Logging out, then back in is the only way to make it disappear.

Attaching two screenshots.

Paul Kishimoto (khaeru) wrote :
Paul Kishimoto (khaeru) wrote :

Two more notes:
—I have two machines with ATI graphics cards, and only the one with fglrx enabled is displaying this behaviour.
—Contrary to #17, I've only seen this since upgrading to precise beta.

Federico Raimondo (fraimondo) wrote :

I have two PCs with Nvidia GPUs, both having the same issue. Only in precise beta.

Miklos Juhasz (mjuhasz) wrote :

I have this issue with NVidia (binary driver), ATI (fglrx) and Intel Sandy Bridge as well, on 3 different machines, with Ubuntu 11.10. I always used Chrome/Chromium when the white box showed up but that may have been just a coincidence.

Martin Pool (mbp) wrote :

I have this on intel arrandale, so I don't think it's connected to the
graphics driver. I do use Chrome, so that does seem to be the common
factor.

Federico Raimondo (fraimondo) wrote :

All my windows have shadows. Now the computer has been on for a couple of days. It seems that is not only one white rectangle, but there are many, as the border became black, the same that happens whenever I open many windows of the same size in the same position.

I use chrome, and I'm guessing it's something related to it. My guess is google notifications. Whenever I use my computer without opening google chrome, the white box never appears (ie: my laptop). It has the same width as the google notification message box.

Federico Raimondo (fraimondo) wrote :

Confirmed!

Steps to reproduce:

1- Turn on ubuntu 12.04
2- Use chrome with gtalk notifications on.
3- Tell someone to chat to you in a few seconds.
4- Switch focus and wait for that someone's reply.

Changed in compiz-core:
status: Incomplete → Confirmed
Changed in unity:
status: Incomplete → Confirmed
Changed in unity (Ubuntu):
status: Incomplete → Confirmed
Ralf (ralf-kaestner) wrote :

For me this started with 12.04. I can reproduce the small upper-left-corner boxes as described in #14. I also have the #7 boxes randomly and can not associate them with something specific. I use chromium a lot. I have set some compiz custom settings (via ccsm) but have not yet tried to isolate it. Logout/login fixes it, killall compiz fixes it as well.

Tibi (shadow-walk) wrote :

another way to reproduce: use ANY website that sends some sort of html 5 desktop notifications.. i for one dont use gmail or gtalk, but am affected and stay all day long with that white box because i use woopra (like clicky but free) and i have desktop notifications enabled. for that site in order to receive real-time notifications about visitors.. i gave up clearing the white box with the killall compiz because regardless if in 1-2 minutes or in 15 minutes, the white box always reappers due to constant notifications.

Chris J Arges (arges) wrote :

I have hit this bug a few times on my machine, when I type "xlsclients -al" I see the following in addition to what I had running before the white box appeared on the screen:

Window 0x3e00001:
  Machine: x
  Name: exe
  Icon Name: exe
  Command: exe
  Instance/Class: exe/Exe
Window 0x4000001:
  Machine: x
  Name: exe
  Icon Name: exe
  Command: exe
  Instance/Class: exe/Exe
Window 0x4200001:
  Machine: x
  Name: exe
  Icon Name: exe
  Command: exe
  Instance/Class: exe/Exe

Tried to xkill by id, but the window still persists.

Daniel van Vugt (vanvugt) wrote :

Chris, All,
I believe the "exe" windows are embedded windows from browser plugins. So with flash for example they are probably created by the process I can see:
/opt/google/chrome/chrome --type=plugin --plugin-path=/usr/lib/adobe-flashplugin/libflashplayer.so

This also supports smspillaz' theory (he told me) that it's to do with reparenting of X windows. I imagine any window created by a plugin process gets reparented into the main browser window. Looking at "xwininfo -all" seems to support this.

Does anyone find any part of their web pages/apps are missing/broken in their chrome window when the white box appears?

.tmp.unity.support.test.0:

ApportVersion: 1.94.1-0ubuntu2
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
DistUpgraded: Fresh install
DistroCodename: precise
DistroRelease: Ubuntu 12.04
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 12) (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:1722]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120311)
MachineType: Hewlett-Packard HP ProBook 6440b
Package: unity 5.6.0-0ubuntu4
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-19-generic root=UUID=297ca343-6c9d-426f-a18c-842b14c4f2e4 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-19.30-generic 3.2.11
Tags: precise precise precise ubuntu compiz-0.9
Uname: Linux 3.2.0-19-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 04/28/2010
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68CDD Ver. F.07
dmi.board.name: 1722
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 29.2B
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68CDDVer.F.07:bd04/28/2010:svnHewlett-Packard:pnHPProBook6440b:pvr:rvnHewlett-Packard:rn1722:rvrKBCVersion29.2B:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP ProBook 6440b
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.7.0+bzr3035-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.1-0ubuntu5
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.1-0ubuntu5
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Dean Henrichsmeyer (dhenrich) wrote :

I've disabled a bunch of things trying to pin point how/when the box appears. I concur that it appears to be with the browser. That being said, I haven't noticed any browser breakage when it appears but I suppose it's possible.

Marius B. Kotsbak (mariusko) wrote :

I observed now that the white box appeared exactly at the same time that Google GMail popped up a new e-mail notification box, using Chromium.

Tibi (shadow-walk) wrote :

the direct relation with gmail or any other html 5 notification poping up in chrome was observed long ago, starting with comments #8 #9 :)

the problem is that I switched off the gmail notification and got that
bug twice after that. :(

On Thu, Mar 22, 2012 at 15:24, Marius Kotsbak <email address hidden> wrote:
> I observed now that the white box appeared exactly at the same time that
> Google GMail popped up a new e-mail notification box, using Chromium.

--
 /aim [ http://aim.pp.ru/ ]

Marius B. Kotsbak (mariusko) wrote :

Maybe Gmail still does what causes it, like popping up an invisible box.

Derek Monner (dmonner) wrote :

I'm on Oneiric with all the -proposed updates, and I've been seeing this issue for a month or longer, but I don't use any apps that do HTML5 notifications. The main time I seem to see these white boxes pop up is when clicking links from another app (e.g. pidgin, hotot) that open in chrome. Also the pages that cause it mostly seem to have Flash embeds. Unfortunately it hasn't been 100% reproducible with any given link.

Derek Monner (dmonner) wrote :

One more thing: I'll second the observation that the size of the white box seems related to the size of the window being opened. Others have reported that, when the box is caused by an HTML5 notification, it is the same size as that notification's normal window. When I see white boxes pop up after opening an external link in chrome, the box is the same size as the chrome window currently is.

Miklos Juhasz (mjuhasz) wrote :

On Oneiric I just got it by visiting docs.google.com (which I do many time a day and usually without any problem). I think there's no flash on that site and I never enabled any html5 notifications.

Daniel van Vugt (vanvugt) wrote :

Here is the xwininfo for what I think is an offending white window (triggered from chrome). The window is "IsUnMapped" and is override-redirect too. Override-redirect explains why it's always on top on all workspaces.

Obviously unmapped windows should never be visible. But I believe the Unity minimize handler breaks that rule, so Unity might be the cause.

Daniel van Vugt (vanvugt) wrote :

And more window information (children of root) related to the previous comment.

Sorry, it's all I got when the white window appeared yesterday.

Omer Akram (om26er) wrote :

If someone got an easily reproduce able test case its worth updating the bug description. I have not been able to reproduce the issue though.

Tibi (shadow-walk) wrote :

After almost one month of living with the white box every day (due to constant woopra html5 notifications which triggered the bug), i no longer have this issue. What happened is that i installed the click-to-mimimize patch, but in doing so i was having some screen drawing issues all of a sudden.. strangely enough after removing the patch i kept having the wild crazy screen flickering (especially in the unity launcher, windows titles and menu bar).. this made me reinstall the patch and manually restore every single ccsm setting to their default.. most of them were already at their default, but some 3-4-5 were not.. when i deselected the "effects - animation" the screen flickering stopped.. and here is the funny part: after one day with the animations disabled i tried to enable again.. and it worked just fine.

The net result is that now i have a working both a "click on launcher icon to minimize" behavior and also no white box (i received several hundreds html5 notifications today and no white box so far, usually this was happening after just some 20-30 of them)...it feels sooo god to have gotten rid of that annoying box!

So, it seems that one of the ccsm setting was the root cause of the problem, and i would bet my money on something related to "windows animation" plugin altogether, or some part of it..

Ralf (ralf-kaestner) wrote :

I had the following options enabled within CCSM's Effects section: Animations, Window Decoration, Fading Windows, Wobbly Windows. I disabled "Animations" only and compiz restarted automatically just when I de-checked the box - this was noticable by the redraw of all window decorations. I then reenabled animations directly without even closing CCSM. The reactivation did not cause a compiz restart but since then I had no more white boxes. Unfortunately I did not save the compiz config before I did this. May the config have had stored somthing together with "Animations On" that came from a previous version (I updated from 11.10) and may this have been removed during the dis/re-enabling of Animations? Where would CCSM store something similar so other affected users could take a closer look? Can someone confirm or disprove this "fix"?

Derek Monner (dmonner) wrote :

I lost a video card over the weekend, so unfortunately I can't test the proposed fix of disabling and re-enabling the Animations plugin. However, I can provide my CCSM configuration related to the Animations plugin, which I've attached. It was generated with `gconftool-2 -R /apps/compizconfig-1/profiles/unity/plugins/animation`. With this configuration, I *do* have the white-box problem. Tibi or Ralf, could you compare this to your configuration after applying the fix and see if there are any differences?

Tibi (shadow-walk) wrote :

I too updated from 11.10 and i started to get the boxes right after that.. and given the fact that you are the second person which seem to have gotten rid of the white boxes by disabling and then reenabling the windows animation plugin and presumably in doing so clearing some cache-setting..well, this may be a pattern, and hopefully new final-12.04 users wont face the same problem when they`ll upgrade from 11.10..

i can definitely say that in my case chrome has been up and running for more than 24 hours with constant notifications and no white boxes, so in my case this bug is clearly solved.

Tibi (shadow-walk) wrote :

Well, i looked over the config file and seems pretty much the same, although i just analyzed some 15-20 keys..i`m not an ubuntu literate, i dont know where that command saves the actual file..

but i think that this is important: you have the settings in profiles/unity/ while right now there i have almost nothing that seems important.. instead, all those settings are in profiles/default... in profiles/unity/plugins i can only see that gnomecompatible stuff, as seen in the picture..

maybe disabling and reenabling the animations plugin rearranges the settings folders, migrating from unity to default folder and in doing so fixing the bug?

Changed in compiz-core:
assignee: nobody → Sam Spilsbury (smspillaz)
Changed in unity:
assignee: nobody → Sam Spilsbury (smspillaz)
Changed in unity (Ubuntu):
assignee: nobody → Sam Spilsbury (smspillaz)
Changed in compiz-core:
milestone: none → 0.9.7.4
Changed in chromium-browser (Ubuntu):
assignee: nobody → Sam Spilsbury (smspillaz)
Changed in unity:
milestone: none → 5.10.0
Ralf (ralf-kaestner) wrote :
Download full text (4.5 KiB)

Short update and a correction for #73

When I used gconftool-2 as noted in #74 to double checked my config for "animations" I first thought when I re-enabled animations it was not really enabled - because there was no entry under above mentioned path /apps/compizconfig-1/profiles/unity/plugins/animation.

I disabled and re-enabled Animations again and even rebooted. Then I checked again with gconftool-2 for an entry at path /apps/compizconfig-1/profiles/unity/plugins/animation - but there was still none. However, I saw another white box short later, I think when I received a gmail notification in chromium, but I got a couple ones before already without white boxes. I disabled Animations in CCSM again afterwards and since then saw no white box anymore (yet, for some hours) - maybe the white boxes only stay away when I keep Animations disabled, or its just a red herring.

I still have "Animations" disabled because I want to see if I get another white window over night. For the while I browsed the gconf root and found that path /apps/compizconfig-1/profiles/Default/plugins/animation is populated (see below). Is it supposed to have a "Default" profile next to the "unity" one? I seems like its the same in the screenshot from #76 (no animations under "unity" but a "Default" entry) but not in the output from #74 where its under profile "unity" - so maybe not really relevant. Tibi - have you still disabled Animations with that config and does re-enabling it show white boxes again? You wrote "before the proposed fix was applied" - did you have white boxes before or was it fine, maybe because after you re-installed the packages your "Default" profile got purged away?

$ gconftool-2 -R /apps/compizconfig-1/profiles/Default/plugins/animation
 /apps/compizconfig-1/profiles/Default/plugins/animation/screen0:
  /apps/compizconfig-1/profiles/Default/plugins/animation/screen0/options:
   magic_lamp_wavy_max_waves = 3
   magic_lamp_wavy_moving_end = true
   magic_lamp_wavy_amp_max = 300
   close_matches = [((type=Normal | Unknown) | name=sun-awt-X11-XFramePeer | name=sun-awt-X11-XDialogPeer) & !(role=toolTipTip | role=qtooltip_label) & !(type=Normal & override_redirect=1) & !(name=gnome-screensaver) & !(name=gnome-screenshot),(type=Menu | PopupMenu | DropdownMenu | Combo | Dialog | ModalDialog | Normal),(type=Tooltip | Notification | Utility) & !(name=compiz) & !(title=notify-osd)]
   glide1_away_position = 1
   glide1_away_angle = 0
   open_random_effects = []
   wave_amp_mult = 1
   magic_lamp_wavy_open_start_width = 30
   close_options = [,,]
   close_effects = [animation:Glide 2,animation:Fade,animation:None]
   magic_lamp_wavy_amp_min = 200
   glide2_zoom_to_taskbar = true
   horizontal_folds_zoom_to_taskbar = true
   curved_fold_amp_mult = 1
   dream_zoom_to_taskbar = true
   sidekick_zoom_from_center = 0
   minimize_durations = [220]
   focus_durations = [150]
   magic_lamp_wavy_grid_res = 100
   glide2_away_angle = 0
   minimize_matches = [(type=Normal | Dialog | ModalDialog | Unknown)]
   horizontal_folds_amp_mult = 1
   shade_matches = [(type=Normal | Dialog | ModalDialog | Utility | Unknown)]
   all_random = false
   time_step = 16
   minimize_e...

Read more...

Tibi (shadow-walk) wrote :

"Tibi - have you still disabled Animations with that config and does re-enabling it show white boxes again?"

In my case the animations are now and have been enabled for the last two days during which i had not received a single white box. They were disabled just for a brief period of time saturday and actually i did not even use chrome until after i have reenabled them by change. Apart from the short disable-enable, i have never changed anything in that plugin configuration, so the settings should be at their 11.10 defaults.

So, the screenshot from #76 was taken with animations on, and everything is just fine here, no boxes.

Ralf (ralf-kaestner) wrote :

got another white box in the top left corner this morning where I had none all day yesterday and my PC run over night. So I thought its been a red herring but then I recaptured that before I went to bed I read that yesterdays's compiz update did reset settings, I installed that one yesterday evening and did a re-login. I double checked CCSM today and it had re-enabled Animations. So I have good confidence now, that I only have this issue with enabled "Animations" under Effects in CCSM and yesterdays compiz update with reset-settings did not fix it. I also think a relation to "Animations" setting being under profile "Default" vs. "unity" can not be the cause, because Tibi has the same as I have ("Default" profile) but without issues.

Tibi (shadow-walk) wrote :

after almost 4 days with no white box.. today i got it again too :(( i shouldnt have updated when asked last night, i knew it.. now the minimize patch also is not working anymore, damn it..

Andrea Amoroso (heiko81) wrote :

Could it be related to the weather indicator crash, as of bug https://bugs.launchpad.net/dbusmenu/+bug/743541 ?
Because after I came back from work (I left my home computer open), I got the weather indicator crash and the white space over the dash..before, when I left home, I had the weather indicator working and no white box..and I left Chrome and Thunderbird closed, only Banshee was open but not working..

Tibi (shadow-walk) wrote :

its clearly related to animations effect.. after the compiz update2 days ago which started to give me white boxes (again) after just some 15-20 notifications, i disabled the windows animations effect.. since then i got 1500+ notifications in the past 30 hours or so, and no white boxes.. so clearly the windows animation is the problem..

icb410 (ian-berke) wrote :
Download full text (4.3 KiB)

I haven't had the issue occur since I changed one setting in ccsm
animations plugin: Focus Animation>Focus Effect>None. Previously it was
N/A which seemed very strange to me so I changed it. Now there isn't even
an N/A in the selection box. Haven't had a white box since then (couple of
days).

Ian

On Thu, Mar 29, 2012 at 1:02 PM, Tibi <email address hidden> wrote:

> its clearly related to animations effect.. after the compiz update2 days
> ago which started to give me white boxes (again) after just some 15-20
> notifications, i disabled the windows animations effect.. since then i
> got 1500+ notifications in the past 30 hours or so, and no white boxes..
> so clearly the windows animation is the problem..
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/940603
>
> Title:
> white box randomly shows up at top left corner blocking applications
> from using stuff under it
>
> Status in Compiz Core:
> Confirmed
> Status in Unity:
> Confirmed
> Status in “chromium-browser” package in Ubuntu:
> Confirmed
> Status in “unity” package in Ubuntu:
> Confirmed
>
> Bug description:
> I've had this happen 3 times now. I've gotten a white rectangular box
> show up in the corner of the screen. The box is of varying sizes, and
> only goes away after a reboot.
>
> I've been using chrome every time it's happened, but I don't know that
> it's caused by chrome specifically.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: unity 5.4.0-0ubuntu2
> ProcVersionSignature: Ubuntu 3.2.0-17.26-generic 3.2.6
> Uname: Linux 3.2.0-17-generic i686
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.93-0ubuntu2
> Architecture: i386
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,vpswitch,move,mousepoll,gnomecompat,snap,compiztoolbox,wall,regex,resize,imgpng,place,animation,resizeinfo,grid,fade,session,workarounds,expo,unitymtgrabhandles,scale,ezoom,unityshell]
> CompositorRunning: compiz
> Date: Fri Feb 24 14:27:47 2012
> DistUpgraded: Log time: 2012-02-17 15:21:15.462721
> DistributionChannelDescriptor:
> # This is a distribution channel descriptor
> # For more information see
> http://wiki.ubuntu.com/DistributionChannelDescriptor
> canonical-oem-dell-lucid-une-20100427-1
> DistroCodename: precise
> DistroVariant: ubuntu
> GraphicsCard:
> Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller
> (primary) [8086:2a02] (rev 0c) (prog-if 00 [VGA controller])
> Subsystem: Dell Latitude D630 [1028:01f9]
> Subsystem: Dell Device [1028:01f9]
> InstallationMedia: Ubuntu 10.04 "Lucid" - Build i386 LIVE Binary
> 20100427-14:29
> MachineType: Dell Inc. Latitude D630
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-17-generic
> root=UUID=fa8d2464-5942-4868-877b-6bed2f9b7c15 ro quiet splash vt.handoff=7
> SourcePackage: unity
> UpgradeStatus: Upgraded to precise on 2012-02-18 (6 days ago)
> dmi.bios.date: 01/11/200...

Read more...

Michael Iles (michael-iles) wrote :

Just got it now. In the past it's happened when using Google Docs but now I got it when launching a link from my mail app into Chrome. The white box is the same size as the Chrome window.

I also have "N/A" in CCSM > Animation > Focus Animation > Focus Effect. I just deleted it... see whether it happens again.

Changed in compiz-core:
milestone: 0.9.7.4 → none
tags: added: rls-p-tracking
Changed in compiz-core:
milestone: none → 0.9.7.6
Ralf (ralf-kaestner) wrote :

I also had an "N/A" effect set in CCSM/Effects/Animations/Focus Animation. Instead of deleting the entry completely, I just assigned an available effect (Fade) instead of N/A and re-enabled Animations afterwards. I dunno what I had set before I upgraded to 12.04, but it seems the previous effect was removed and so it became N/A? I know for sure from multiple testing in the past days - when I disabled the Animations Effect completely, then the problem was gone. If this change of teh Focus Animation on its own would fix it as well then its very likely that this was the cause.

Ralf (ralf-kaestner) wrote :

got another white box with just the change of the animation type from N/A to fade as in #85 So I removed the Focus Animation completely as suggested in #84 to see if that makes a difference.

Tibi (shadow-walk) wrote :

disabled focus animation (changed to none) and keep everything else to default yesterday afternoon and everything`s fine since then... so, i would bet my money that THE RANDOM WHITE BOX IS CAUSED BY THE FOCUS ANIMATION... so, from #72 to #86 we managed to circle around it and pin point the exact problem like sniffing dogs :D

Hernando Torque (htorque) wrote :

Something's certainly not right with that key, though I can't yet tell whether this has an influence on the issue (or the other one in bug 944701):

*) Focus Effect → 'N/A'
This sets the key '/apps/compiz-1/plugins/animation/screen0/options/focus_effects' to '[animation:Fade]'. The effect seems to work, maybe causes the bug. It's the Unity compiz profile default.

*) Focus Effect → 'Fade'
Sets the key '/apps/compiz-1/plugins/animation/screen0/options/focus_effects' to '[animation:Focus Fade]'. The effect doesn't seem to work correctly, I get a flicker on every focus change. That's the gconf schema's default for that plugin.

Hanine HAMZIOUI (hanynowsky) wrote :

I confirm the focus thing.
Running Unity (Precise AMD64).

I ve found out a value of N/A in the animation effect list. Choosing another value (Fade, none, wave) and restarting compiz, gets rid of the blank thing issue. Still, I am not yet sure. I have to report later after extensive use of Chromium/Chrome.

I confirm #88 : Choosing FADE as effect makes focusing on windows buggy! FLickering instead of fading. So for now, I settled on NONE. Which was the default value.

Miklos Juhasz (mjuhasz) wrote :

I attached a small html file: it includes 2 youtube videos embedded in iframes. If I load the page in Chrome and keep refreshing the white box shows up eventually. It has the exact size of one of the two iframes. unity --replace makes it go away.
T
xwinfo shows something like this (note the window 420x315+0+0):

0x300002f "HUP - Google Chrome": ("google-chrome" "Google-chrome") 1221x912+0+0 +67+51
              4 children:
              0x307caa8 (has no name): () 1221x850+0+62 +67+113
                 2 children:
                 0x307dc9c (has no name): () 420x315+201+239 +268+352
                    1 child:
                    0x46017da "exe": ("exe" "Exe") 420x315+0+0 +268+352
                       2 children:
                       0x46017dd (has no name): () 420x315+0+0 +268+352
                          1 child:
                          0x46017de (has no name): () 420x315+0+0 +268+352
                             1 child:
                             0x46017df (has no name): () 420x315+0+0 +268+352

The embedded youtube video is not missing from the webpage when the white box shows up.

Google Chrome 18.0.1025.142, Ubuntu 11.10, flashplugin-installer 11.2.202.228ubuntu0.11.10.1

Hernando Torque (htorque) wrote :

You can stop testing the fade effect 'None' - I still get the blank window (refreshed the test page in #50 a couple of times).

Ralf (ralf-kaestner) wrote :

dito. Even if I completely delete the (previousely N/A) entry I still get the white boxes. The only way to fix it on my side is to disable animations completely.

Hernando Torque (htorque) wrote :

After testing that for an hour, I feel comfortable confirming #92. Since the white pixel described in bug 944701 didn't show either, I'm duping it.

Jeff Lane (bladernr) wrote :

For what it's worth, I am no longer seeing this on my Alienware w/ nVidia GT240M running Nouveau. I have not loaded nVidia-current to see if I can repro there, but the Nouveau driver seems to be a LOT better than it previously was, and the white box no longer bothers me here.

Sam Spilsbury (smspillaz) wrote :

Does anyone get failed to bind pixmap to texture errors when running compiz in a terminal when these windows pop up ?

Hernando Torque (htorque) wrote :

No. This is the only output I see when refreshing the test page from #90: http://paste.ubuntu.com/911169/

I *think* it popped up the first time when it writes "unity <unknown>:0 Unable to fetch children..."

Hernando Torque (htorque) wrote :

Err, forget the last sentence.

The only "failed to bind" message I see is right after starting Compiz:

> compiz (decor) - Warn: failed to bind pixmap to texture

But that doesn't show up when the white window appears.

Sam Spilsbury (smspillaz) wrote :

Ok all.

I'd like to see if this is a window or something else. Since we can't xwininfo it, I wrote a small plugin which allows you to navigate to a window and dump its contents.

lp:~smspillaz/+junk/sdump

So you'll need to install compiz-dev and then

bzr branch lp:~smspillaz/+junk/sdump
cd sdump
mkdir build
cd build
cmake ..
make && make install

And then go into ccsm and enable the sdump plugin (protip, you can prevent the crash on enabling plugins by going into advanced settings, disabling auto-sorting and selecting sdump from the left list and moving it to the right list).

Once you've done that and manage to reproduce the white window, use super-n and super-p to move the blue rectangle to the white window (if possible) and then press super-d to output its contents to a terminal or.xsession-errors. Post the output or the .xsession-errors here

Hernando Torque (htorque) wrote :

It doesn't seem to be selectable by that plugin.

Pete Goodall (pgoodall) wrote :

I can't seem to get the rectangle on the white box with the same dimensions. Also, I've tried using Super-d when the blue rectangle looks like it is where the last Chrome notification came up and I get no output in ~/.xsession-errors. I'm not sure what super-d is supposed to do as it never seems to have an effect on ~/.xsession-errors. Should I be running compiz from the command line? Did I miss a step?

Jeff Lane (bladernr) wrote :

So it happened to me again today, after not occurring during normal use for some time now. Big white box, caused me to have to restart X to get rid of it.

Interestingly, I discovered that THIS bug seems to be the cause of this bug: #957005

Whenever that large white box is stuck on top of the desktop, I am unable to use the log-out button on the power menu, but ONLY when this bug is occurring.

Ha, I got the same issue, I have to go to the console to shut down, I'll check for the white box the next time this happens

This happens to me multiple times a day. I'll work on trying to get the previously mentioned plugin installed so I can get debug info.

I can't get the plugin to work for this white box either.

John Costella (jpcostella) wrote :

I can confirm this bug too. I only installed 12.04 beta 2 on a clean hard disk yesterday (long story). (All updates installed -- am updating every few hours as I'm interested in how this release is progressing.) I use Chrome as well.

I'm not sure if it is only happening after coming back from the lock screen (auto-lock after leaving the machine alone for a while), but that's what it's felt like.

Box is smaller in height for me than the screendump above.

John Costella (jpcostella) wrote :

This is what my white box looks like.

So we see this consistently, and it seems to happen (sometimes) when Chrome pops up a new window (I see it when gchat creates a mole, or when a link opens in a new tab, though not always). The size of the white box is the size of whatever window was being created.

The white box is not a window; X events go to whatever is "underneath" as if it weren't there, and xwininfo doesn't see it.

Restarting compiz reliably makes it go away (but has other annoying side effects, like making the upper-right icons no longer responsive to input).

As you can imagine, we have a lot of Chrome users, and this is a very significant usability problem for us.

Changed in compiz-core:
status: Confirmed → In Progress
Changed in unity:
status: Confirmed → In Progress

* Thomas Bushnell, BSG <email address hidden>:
> So we see this consistently, and it seems to happen (sometimes) when
> Chrome pops up a new window (I see it when gchat creates a mole, or when
> a link opens in a new tab, though not always). The size of the white box
> is the size of whatever window was being created.

Correct!

> The white box is not a window; X events go to whatever is "underneath"
> as if it weren't there, and xwininfo doesn't see it.

Correct!

Platon Pukhlechev (ifalkorr) wrote :

catched this time to time. and this is compiz bug, cos im tested it. opened htop and started to kill processes till square dissapear.and this square gone after killing compiz process. compiz restarted without this white spot. and some other addition - sometimes this square takes almoust all desktop (like window). mostly catched after switching desktops with vlc *show on all desktop* option (but maybe this is justaccidentaly)

ubuntu 12.04 i386
unity 5.8 (with all latest updates on april 6) and catched from unity 5.4
 intel x4500mhd

Platon Pukhlechev (ifalkorr) wrote :

and i have chromoum oppened all time.

Platon Pukhlechev (ifalkorr) wrote :

but im not sure, that this is part of gmail notification in chromium.cos there is no any mails in that time

tags: added: css-sponsored-p
Jhosman Lizarazo (jhosman) wrote :

The problem persisting....

Sam Spilsbury (smspillaz) wrote :

Hi all,

I'm not able to reproduce this bug (anymore, strangely), although I wasn't able to reproduce it either before I made a stab in the dark and after I did.

Please test this ppa:

https://code.launchpad.net/~smspillaz/+archive/compiz-white-win

If you are experiencing this issue, can you please post your xwininfo -root -tree?

Jason Warner (jasoncwarner) wrote :
Download full text (4.2 KiB)

Sam - Is this different than the PPA you gave me yesterday (the one I used
yesterday and still go the issue)?

On Fri, Apr 6, 2012 at 12:41 PM, Sam Spilsbury
<email address hidden>wrote:

> Hi all,
>
> I'm not able to reproduce this bug (anymore, strangely), although I
> wasn't able to reproduce it either before I made a stab in the dark and
> after I did.
>
> Please test this ppa:
>
> https://code.launchpad.net/~smspillaz/+archive/compiz-white-win
>
> If you are experiencing this issue, can you please post your xwininfo
> -root -tree?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (936818).
> https://bugs.launchpad.net/bugs/940603
>
> Title:
> white box randomly shows up at top left corner blocking applications
> from using stuff under it
>
> Status in Compiz Core:
> In Progress
> Status in Unity:
> In Progress
> Status in “chromium-browser” package in Ubuntu:
> Confirmed
> Status in “unity” package in Ubuntu:
> Confirmed
>
> Bug description:
> I've had this happen 3 times now. I've gotten a white rectangular box
> show up in the corner of the screen. The box is of varying sizes, and
> only goes away after a reboot.
>
> I've been using chrome every time it's happened, but I don't know that
> it's caused by chrome specifically.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: unity 5.4.0-0ubuntu2
> ProcVersionSignature: Ubuntu 3.2.0-17.26-generic 3.2.6
> Uname: Linux 3.2.0-17-generic i686
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.93-0ubuntu2
> Architecture: i386
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,vpswitch,move,mousepoll,gnomecompat,snap,compiztoolbox,wall,regex,resize,imgpng,place,animation,resizeinfo,grid,fade,session,workarounds,expo,unitymtgrabhandles,scale,ezoom,unityshell]
> CompositorRunning: compiz
> Date: Fri Feb 24 14:27:47 2012
> DistUpgraded: Log time: 2012-02-17 15:21:15.462721
> DistributionChannelDescriptor:
> # This is a distribution channel descriptor
> # For more information see
> http://wiki.ubuntu.com/DistributionChannelDescriptor
> canonical-oem-dell-lucid-une-20100427-1
> DistroCodename: precise
> DistroVariant: ubuntu
> GraphicsCard:
> Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller
> (primary) [8086:2a02] (rev 0c) (prog-if 00 [VGA controller])
> Subsystem: Dell Latitude D630 [1028:01f9]
> Subsystem: Dell Device [1028:01f9]
> InstallationMedia: Ubuntu 10.04 "Lucid" - Build i386 LIVE Binary
> 20100427-14:29
> MachineType: Dell Inc. Latitude D630
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-17-generic
> root=UUID=fa8d2464-5942-4868-877b-6bed2f9b7c15 ro quiet splash vt.handoff=7
> SourcePackage: unity
> UpgradeStatus: Upgraded to precise on 2012-02-18 (6 days ago)
> dmi.bios.date: 01/11/2008
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A06
> dmi.board.name: 0KU184
> dmi.board.vendor: Dell Inc.
> dmi.chassis.type: 8
> dmi.cha...

Read more...

Changed in compiz-core:
status: In Progress → Fix Committed
Changed in unity:
status: In Progress → Fix Committed
Hernando Torque (htorque) wrote :

Note, that the latest compiz in Precise is 0.9.7.4-0ubuntu2, so you need to do something like this after adding and updating:

    sudo apt-get install compiz=0.9.7.4-0ubuntu2~bzr3086~precise1

to use the right compiz. :-)

Changed in compiz-core:
milestone: 0.9.7.6 → 0.9.7.8
Hernando Torque (htorque) wrote :

I'm sorry, but I have to attache my xwininfo. :-(

Did you maybe not enable the animations plugin?

Daniel van Vugt (vanvugt) wrote :

If Sam's fix in 0.9.7.6 is working then this needs to be marked fix released in 0.9.7.6.

Hernando Torque (htorque) wrote :

FWIW: I'm not able to reproduce this with a virtual machine at all (known broken Compiz version, not the PPA one).

Didier Roche (didrocks) on 2012-04-06
Changed in unity (Ubuntu):
status: Confirmed → Fix Committed
affects: unity (Ubuntu) → compiz (Ubuntu)
Jason Warner (jasoncwarner) wrote :
Download full text (4.0 KiB)

For what it's worth, I don't think this is fixed still. I believe I tried
Sam's latest PPA and still got the issue. I will update again and give it
another go, though, to see if it is fixed.

On Fri, Apr 6, 2012 at 7:24 PM, Didier Roche <email address hidden> wrote:

> ** Changed in: unity (Ubuntu)
> Status: Confirmed => Fix Committed
>
> ** Package changed: unity (Ubuntu) => compiz (Ubuntu)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (936818).
> https://bugs.launchpad.net/bugs/940603
>
> Title:
> white box randomly shows up at top left corner blocking applications
> from using stuff under it
>
> Status in Compiz Core:
> Fix Committed
> Status in Unity:
> Fix Committed
> Status in “chromium-browser” package in Ubuntu:
> Confirmed
> Status in “compiz” package in Ubuntu:
> Fix Committed
>
> Bug description:
> I've had this happen 3 times now. I've gotten a white rectangular box
> show up in the corner of the screen. The box is of varying sizes, and
> only goes away after a reboot.
>
> I've been using chrome every time it's happened, but I don't know that
> it's caused by chrome specifically.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: unity 5.4.0-0ubuntu2
> ProcVersionSignature: Ubuntu 3.2.0-17.26-generic 3.2.6
> Uname: Linux 3.2.0-17-generic i686
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.93-0ubuntu2
> Architecture: i386
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,vpswitch,move,mousepoll,gnomecompat,snap,compiztoolbox,wall,regex,resize,imgpng,place,animation,resizeinfo,grid,fade,session,workarounds,expo,unitymtgrabhandles,scale,ezoom,unityshell]
> CompositorRunning: compiz
> Date: Fri Feb 24 14:27:47 2012
> DistUpgraded: Log time: 2012-02-17 15:21:15.462721
> DistributionChannelDescriptor:
> # This is a distribution channel descriptor
> # For more information see
> http://wiki.ubuntu.com/DistributionChannelDescriptor
> canonical-oem-dell-lucid-une-20100427-1
> DistroCodename: precise
> DistroVariant: ubuntu
> GraphicsCard:
> Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller
> (primary) [8086:2a02] (rev 0c) (prog-if 00 [VGA controller])
> Subsystem: Dell Latitude D630 [1028:01f9]
> Subsystem: Dell Device [1028:01f9]
> InstallationMedia: Ubuntu 10.04 "Lucid" - Build i386 LIVE Binary
> 20100427-14:29
> MachineType: Dell Inc. Latitude D630
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-17-generic
> root=UUID=fa8d2464-5942-4868-877b-6bed2f9b7c15 ro quiet splash vt.handoff=7
> SourcePackage: unity
> UpgradeStatus: Upgraded to precise on 2012-02-18 (6 days ago)
> dmi.bios.date: 01/11/2008
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A06
> dmi.board.name: 0KU184
> dmi.board.vendor: Dell Inc.
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias:
> dmi:bvnDellInc.:bvrA06:bd01/11/2008:svnDellInc.:pnLatitudeD630:pvr:rvnDellInc.:rn0KU184:rvr:cvnDel...

Read more...

Platon Pukhlechev (ifalkorr) wrote :

its not chromium bug. appeared without chromium. and as usual "killall -HUP compiz" helps

Sean Stoops (brutimus) wrote :

Just as a quick "me too" here.. I'm running precise with current updates with focus animations set to None and I just had the white box occur.

I have a gmail notifier installed that lets me see message counts and click through to chrome+gmail from the messaging menu. When I did that and a new chrome tab opened (on my right monitor) I got a giant white box the same size as the chrome tab on my left monitor.

Hanine HAMZIOUI (hanynowsky) wrote :

same as #121.

I don't know if it has something to do with JavaScript popups generated by Chromium extensions like the one I use :
Mail Checker Plus for Gmail & Facebook Notifier. It happened to me several times, when a new popup appears (Gmail or Facebook ).
The bug applies to Chromium and Google Chrome in my case.
Let's add that even disabling these extensions, browsing websites with Flash content that prompt the user to interact with some popups, may trigger the white box.

The size of the white box I get, is different every time, from a very small rectangle to a whole screen blank box.

I also believe it is a compiz Issue, well at least, the way Compiz handles these popups.
Running Precise updated.

Daniel van Vugt (vanvugt) wrote :

Jason, Sam's *potential* fix will be released in compiz 0.9.7.6. Please double check when you get that update. It's not a definite fix, but feedback about compiz 0.9.7.6 would be most valuable.

Tibi (shadow-walk) wrote :

running the machine for about a week, received more than 5000 pop-ups in this time, and no white box.. in my case the only permanent solution was to disable the animations plugin altogether... with focus animation set to "none" a white box still pop-ups after several hours, although much much rare than in the case when it`s set to "n/a" or "fade"..

Jacob Block (jacob-block) wrote :

Not sure if I applied the potential fix correctly. I added the ppa, performed an update, and installed the new compiz packages from the update. I just saw the white-box again (maybe 14-15 hours after doing the upgrade). I attached my xwininfo in case that helps.

Jason Warner (jasoncwarner) wrote :

Just an FYI. I still get this with latest compiz and unity (compiz 0.9.7.6 and unity 5.10 candidate from unity-team/ppa). Turning off animations to test that out....

Didier Roche (didrocks) on 2012-04-09
Changed in compiz (Ubuntu):
status: Fix Committed → Triaged
Changed in compiz-core:
status: Fix Committed → Triaged
Changed in unity:
status: Fix Committed → Triaged
Changed in compiz-animation-plugin:
status: New → In Progress
assignee: nobody → Sam Spilsbury (smspillaz)
Changed in compiz-plugins-main:
status: New → In Progress
assignee: nobody → Sam Spilsbury (smspillaz)
milestone: none → 0.9.7.2
Changed in compiz-plugins-main (Ubuntu):
status: New → Confirmed
Changed in compiz-animation-plugin:
importance: Undecided → High
Changed in compiz-plugins-main:
importance: Undecided → High
Changed in compiz-core:
status: Triaged → In Progress
Changed in unity:
status: Triaged → In Progress
Changed in compiz (Ubuntu):
status: Triaged → In Progress
Changed in compiz-plugins-main (Ubuntu):
status: Confirmed → In Progress
Changed in compiz-animation-plugin:
milestone: none → 0.9.6
Daniel van Vugt (vanvugt) wrote :

Fix committed into lp:compiz-animation-plugin at revision 397

Changed in compiz-animation-plugin:
status: In Progress → Fix Committed
Changed in compiz-plugins-main:
status: In Progress → Fix Committed
Daniel van Vugt (vanvugt) wrote :

Fix committed into lp:compiz-plugins-main at revision 27

Changed in compiz-core:
status: In Progress → Invalid
Changed in chromium-browser (Ubuntu):
status: Confirmed → Invalid
Changed in compiz (Ubuntu):
status: In Progress → Invalid
Didier Roche (didrocks) on 2012-04-10
Changed in unity:
status: In Progress → Fix Committed
Hernando Torque (htorque) wrote :

Seems to be fixed here. All that's left is a white window showing up for a split second every now and then. Less frequently and far better than a stuck window. :-)

Sam Spilsbury (smspillaz) wrote :

Indeed.

Noting here that the white window will always appear for a split second because that is what chromium is doing.

From what I've read in the comments, it looks like this is similar to a problem that arose years ago with the "system tray" as it was called. (The name "system tray" came from the "systray.exe" process on MS Windows which provided some icons for what was officially known as the notification area.)

The old system tray in GNOME, following KDE's model, would occasionally fail to display icons in the tray; instead they were framed by the window manager—sawfish or sawmill at the time. It didn't always happen. It was unpredictable.

The root of the problem was a race condition. KDE's protocol required a commitment (unspecified, as I recall) from the window manager to not try to manage windows somehow marked for the system tray. Applications would map the window, the window manager would ignore it, and the system tray would reparent it. GNOME's implementation did not include the window manager commitment. Applications would map the window and both the window manager and the system tray would try to reparent it. The outcome was determined by whichever process won the race to reparent.

The subsequent freedesktop.org system tray protocol eliminated the race condition by not mapping the window destined for it before the reparenting was complete. Instead of mapping, clients were expected to send a ClientMessage to the tray. After that the XEMBED protocol took over.

It sounds like chromium is mapping when it should not be mapping. Searching through the code right now I've seen at least two places where they call XMapWindow during initialization of some objects. I must be missing something because I haven't found embedding. (But I just started minutes ago.)

Miklos Juhasz (mjuhasz) wrote :

I backported the patch to my oneiric ppa and the fix works: using the test html page I attached earlier I can not reproduce the white box. As Sam said sometimes it does show up for a split second at 0,0 (top left corner) but it disappears as it should. Well done!

Didier Roche (didrocks) on 2012-04-11
Changed in compiz-plugins-main (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz-plugins-main - 1:0.9.7.0~bzr19-0ubuntu10

---------------
compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu10) precise; urgency=low

  [ Sam Spilsbury ]
  * debian/patches/fix_963767.patch : fix LP: #963767, scale correctly

  [ Didier Roche ]
  * debian/patches/ubuntu_config.patch:
    Fix typos in animation.xml.in causing mismatched animations of menus and
    tooltips (LP: #977743)
  * debian/patches/fix_976469.patch:
    - Shadows are not clipped until animations are finished (LP: #976469)
  * debian/patches/fix_940603.patch:
    - white box randomly shows up at top left corner blocking applications from
      using stuff under it (LP: #940603)

  [ Oliver Grawert ]
  * update GLES2 patch for latest changes.
  * thanks to Łukasz 'sil2100' Zemczak <email address hidden> for
    merging the packaging changes into the right branches.
 -- Didier Roche <email address hidden> Thu, 12 Apr 2012 09:19:07 +0200

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.7.6-0ubuntu1

---------------
compiz (1:0.9.7.6-0ubuntu1) precise; urgency=low

  [ Didier Roche ]
  * New upstream release:
    - Memory leak in dlloaderListPlugins (LP: #968985)
    - priv->invisible is not updated when the window is mapped (LP: #969102)
    - window management, multi-monitor - In multi-monitor environment, windows
      should spread on the monitor in which they reside (LP: #919139)
    - Drop-down menus look disembodied from their titles (LP: #659816)
    - Improve performace of the shadow clipping code (LP: #931883)
    - DecorWindow::computeShadowRegion called way too much (LP: #969101)
    - white box randomly shows up at top left corner blocking application
      from using stuff under it (LP: #940603)
  * Rebuild against latest metacity to get the HUD key configuration
    exposed in unity 3D as well (LP: #969256)
  * debian/patches/ubuntu-config.patch:
    - set multioutput_mode to all outputs (windows to be scaled on each the
      monitor they are on only) (LP: #919139)
  * debian/patches/fix_976467.patch:
    - Fix shadows being clipped incorrectly (LP: #976467)

  [ Oliver Grawert ]
  * update the GLES2 patch for the new upstream release.
 -- Didier Roche <email address hidden> Wed, 11 Apr 2012 18:35:39 +0200

Changed in compiz (Ubuntu):
status: Invalid → Fix Released
Changed in compiz-plugins-main (Ubuntu):
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2012-04-12
Changed in unity:
status: Fix Committed → Fix Released
Sasa Batistic (sasa-batistic) wrote :

after compiz upgrade (today) i don't get any white stripe when using chrome and gmail chat.

Marius B. Kotsbak (mariusko) wrote :

Still the focus effect is set to "N/A", at least in upgraded Ubuntus.

Ben Gamari (bgamari) wrote :

For the record, it appears that the Ubuntu Precise build failed: https://launchpad.net/ubuntu/precise/+source/compiz/1:0.9.7.6-0ubuntu1

ping? this is such a critical issue, and we would like to be able to test it before precise launches.

Sebastien Bacher (seb128) wrote :

Thomas, the new compiz is in precise, you should be able to test from there or did I overlook something?

Daniel van Vugt (vanvugt) wrote :

The new fix is in compiz 0.9.7.6, which was released just hours ago for Ubuntu 12.04. I hope it works for everyone.

Daniel van Vugt (vanvugt) wrote :

Correction: The real fix is in compiz-plugins-main 1:0.9.7.0~bzr19-0ubuntu10

LiTE (lite-88) on 2012-04-13
summary: white box randomly shows up at top left corner blocking applications
- from using stuff under it
+ from using stuff under it.
summary: white box randomly shows up at top left corner blocking applications
- from using stuff under it.
+ from using stuff under it
Download full text (4.0 KiB)

The build failed, did it not?
On Apr 13, 2012 1:50 AM, "Sebastien Bacher" <email address hidden> wrote:

> Thomas, the new compiz is in precise, you should be able to test from
> there or did I overlook something?
>
> --
> You received this bug notification because you are a member of Goobuntu
> Team, which is subscribed to the bug report.
> https://bugs.launchpad.net/bugs/940603
>
> Title:
> white box randomly shows up at top left corner blocking applications
> from using stuff under it
>
> Status in Compiz Animations Plugin:
> Fix Committed
> Status in Compiz Core:
> Invalid
> Status in Compiz Main Plugins:
> Fix Committed
> Status in Unity:
> Fix Released
> Status in “chromium-browser” package in Ubuntu:
> Invalid
> Status in “compiz” package in Ubuntu:
> Fix Released
> Status in “compiz-plugins-main” package in Ubuntu:
> Fix Released
>
> Bug description:
> I've had this happen 3 times now. I've gotten a white rectangular box
> show up in the corner of the screen. The box is of varying sizes, and
> only goes away after a reboot.
>
> I've been using chrome every time it's happened, but I don't know that
> it's caused by chrome specifically.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: unity 5.4.0-0ubuntu2
> ProcVersionSignature: Ubuntu 3.2.0-17.26-generic 3.2.6
> Uname: Linux 3.2.0-17-generic i686
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.93-0ubuntu2
> Architecture: i386
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,vpswitch,move,mousepoll,gnomecompat,snap,compiztoolbox,wall,regex,resize,imgpng,place,animation,resizeinfo,grid,fade,session,workarounds,expo,unitymtgrabhandles,scale,ezoom,unityshell]
> CompositorRunning: compiz
> Date: Fri Feb 24 14:27:47 2012
> DistUpgraded: Log time: 2012-02-17 15:21:15.462721
> DistributionChannelDescriptor:
> # This is a distribution channel descriptor
> # For more information see
> http://wiki.ubuntu.com/DistributionChannelDescriptor
> canonical-oem-dell-lucid-une-20100427-1
> DistroCodename: precise
> DistroVariant: ubuntu
> GraphicsCard:
> Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller
> (primary) [8086:2a02] (rev 0c) (prog-if 00 [VGA controller])
> Subsystem: Dell Latitude D630 [1028:01f9]
> Subsystem: Dell Device [1028:01f9]
> InstallationMedia: Ubuntu 10.04 "Lucid" - Build i386 LIVE Binary
> 20100427-14:29
> MachineType: Dell Inc. Latitude D630
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-17-generic
> root=UUID=fa8d2464-5942-4868-877b-6bed2f9b7c15 ro quiet splash vt.handoff=7
> SourcePackage: unity
> UpgradeStatus: Upgraded to precise on 2012-02-18 (6 days ago)
> dmi.bios.date: 01/11/2008
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A06
> dmi.board.name: 0KU184
> dmi.board.vendor: Dell Inc.
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias:
> dmi:bvnDellInc.:bvrA06:bd01/11/2008:svnDellInc.:pnLatitudeD630:pvr:rvnDellInc.:rn0KU184:rvr:cvnDellInc.:...

Read more...

Download full text (4.2 KiB)

We've got it now, and reports are coming in from our users that they are no
longer seeing the white boxes. Good news indeed, and thanks!

On Fri, Apr 13, 2012 at 4:23 AM, Sebastien Bacher <email address hidden> wrote:

> https://launchpad.net/ubuntu/+source/compiz-plugins-
> main/1:0.9.7.0~bzr19-0ubuntu10
>
> seems not?
>
> --
> You received this bug notification because you are a member of Goobuntu
> Team, which is subscribed to the bug report.
> https://bugs.launchpad.net/bugs/940603
>
> Title:
> white box randomly shows up at top left corner blocking applications
> from using stuff under it
>
> Status in Compiz Animations Plugin:
> Fix Committed
> Status in Compiz Core:
> Invalid
> Status in Compiz Main Plugins:
> Fix Committed
> Status in Unity:
> Fix Released
> Status in “chromium-browser” package in Ubuntu:
> Invalid
> Status in “compiz” package in Ubuntu:
> Fix Released
> Status in “compiz-plugins-main” package in Ubuntu:
> Fix Released
>
> Bug description:
> I've had this happen 3 times now. I've gotten a white rectangular box
> show up in the corner of the screen. The box is of varying sizes, and
> only goes away after a reboot.
>
> I've been using chrome every time it's happened, but I don't know that
> it's caused by chrome specifically.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: unity 5.4.0-0ubuntu2
> ProcVersionSignature: Ubuntu 3.2.0-17.26-generic 3.2.6
> Uname: Linux 3.2.0-17-generic i686
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.93-0ubuntu2
> Architecture: i386
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,vpswitch,move,mousepoll,gnomecompat,snap,compiztoolbox,wall,regex,resize,imgpng,place,animation,resizeinfo,grid,fade,session,workarounds,expo,unitymtgrabhandles,scale,ezoom,unityshell]
> CompositorRunning: compiz
> Date: Fri Feb 24 14:27:47 2012
> DistUpgraded: Log time: 2012-02-17 15:21:15.462721
> DistributionChannelDescriptor:
> # This is a distribution channel descriptor
> # For more information see
> http://wiki.ubuntu.com/DistributionChannelDescriptor
> canonical-oem-dell-lucid-une-20100427-1
> DistroCodename: precise
> DistroVariant: ubuntu
> GraphicsCard:
> Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller
> (primary) [8086:2a02] (rev 0c) (prog-if 00 [VGA controller])
> Subsystem: Dell Latitude D630 [1028:01f9]
> Subsystem: Dell Device [1028:01f9]
> InstallationMedia: Ubuntu 10.04 "Lucid" - Build i386 LIVE Binary
> 20100427-14:29
> MachineType: Dell Inc. Latitude D630
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-17-generic
> root=UUID=fa8d2464-5942-4868-877b-6bed2f9b7c15 ro quiet splash vt.handoff=7
> SourcePackage: unity
> UpgradeStatus: Upgraded to precise on 2012-02-18 (6 days ago)
> dmi.bios.date: 01/11/2008
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A06
> dmi.board.name: 0KU184
> dmi.board.vendor: Dell Inc.
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias...

Read more...

EboniLM (ebonilm) wrote :

Yep. Has happened here twice so far. Both times after opening a new window in Chrome.

I find that typing compiz --replace in terminal gets rid of it. but that's only a temporary fix...

Jeff Lane (bladernr) wrote :

It just happened again to me this morning When trying to open chrome and visit a G+ hangout. apt-cache says I have 0.9.7.6:

bladernr@klaatu:~$ apt-cache policy compiz
compiz:
  Installed: 1:0.9.7.6-0ubuntu1
  Candidate: 1:0.9.7.6-0ubuntu1
  Version table:
 *** 1:0.9.7.6-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status

Download full text (4.5 KiB)

Compiz and compiz-plugins-main are different packages with separate
versioning.

What version of compiz-plugins-main do you have, and when did you last log
in?

On Mon, Apr 16, 2012 at 7:23 AM, Jeff Lane <email address hidden>wrote:

> It just happened again to me this morning When trying to open chrome and
> visit a G+ hangout. apt-cache says I have 0.9.7.6:
>
> bladernr@klaatu:~$ apt-cache policy compiz
> compiz:
> Installed: 1:0.9.7.6-0ubuntu1
> Candidate: 1:0.9.7.6-0ubuntu1
> Version table:
> *** 1:0.9.7.6-0ubuntu1 0
> 500 http://us.archive.ubuntu.com/ubuntu/ precise/main amd64
> Packages
> 100 /var/lib/dpkg/status
>
> --
> You received this bug notification because you are a member of Goobuntu
> Team, which is subscribed to the bug report.
> https://bugs.launchpad.net/bugs/940603
>
> Title:
> white box randomly shows up at top left corner blocking applications
> from using stuff under it
>
> Status in Compiz Animations Plugin:
> Fix Committed
> Status in Compiz Core:
> Invalid
> Status in Compiz Main Plugins:
> Fix Committed
> Status in Unity:
> Fix Released
> Status in “chromium-browser” package in Ubuntu:
> Invalid
> Status in “compiz” package in Ubuntu:
> Fix Released
> Status in “compiz-plugins-main” package in Ubuntu:
> Fix Released
>
> Bug description:
> I've had this happen 3 times now. I've gotten a white rectangular box
> show up in the corner of the screen. The box is of varying sizes, and
> only goes away after a reboot.
>
> I've been using chrome every time it's happened, but I don't know that
> it's caused by chrome specifically.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: unity 5.4.0-0ubuntu2
> ProcVersionSignature: Ubuntu 3.2.0-17.26-generic 3.2.6
> Uname: Linux 3.2.0-17-generic i686
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.93-0ubuntu2
> Architecture: i386
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,vpswitch,move,mousepoll,gnomecompat,snap,compiztoolbox,wall,regex,resize,imgpng,place,animation,resizeinfo,grid,fade,session,workarounds,expo,unitymtgrabhandles,scale,ezoom,unityshell]
> CompositorRunning: compiz
> Date: Fri Feb 24 14:27:47 2012
> DistUpgraded: Log time: 2012-02-17 15:21:15.462721
> DistributionChannelDescriptor:
> # This is a distribution channel descriptor
> # For more information see
> http://wiki.ubuntu.com/DistributionChannelDescriptor
> canonical-oem-dell-lucid-une-20100427-1
> DistroCodename: precise
> DistroVariant: ubuntu
> GraphicsCard:
> Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller
> (primary) [8086:2a02] (rev 0c) (prog-if 00 [VGA controller])
> Subsystem: Dell Latitude D630 [1028:01f9]
> Subsystem: Dell Device [1028:01f9]
> InstallationMedia: Ubuntu 10.04 "Lucid" - Build i386 LIVE Binary
> 20100427-14:29
> MachineType: Dell Inc. Latitude D630
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-17-generic
> root=UUID=fa8d2464-5942-4868-877b-6bed2f9b7c...

Read more...

Jeff Lane (bladernr) wrote :

compiz-plugins-main:
  Installed: 1:0.9.7.0~bzr19-0ubuntu10
  Candidate: 1:0.9.7.0~bzr19-0ubuntu10

My last login, at this point, was after rebooting. Something actually removed unity from my system. I don't know if it was a failed update or what, but when I got the "White Box of Doom" ;-) I restarted X only to get a background and none of the unity stuff (no bar, no launcher, nada.

Doing some investigating and I discovered that unity was not installed. I was able to re-install manually and reboot though :) I'm gonna blame a borked update on that one. or just the fact that my computer is an Alienware, so maybe there was some unity abduction and probing going on...

IN any case, prior to that I had not logged on in a few days, I tend to boot this machine and just let it run.

Changed in compiz-core:
milestone: 0.9.7.8 → none
Ursula Junque (ursinha) on 2012-04-20
Changed in compiz-plugins-main (Ubuntu):
importance: Undecided → High
robled (robled) wrote :

I've not been able to reproduce this problem since I installed some updates last week. Before that time I would experience the white box several times per day.

no longer affects: compiz-core
no longer affects: chromium-browser (Ubuntu)
no longer affects: compiz-core
Daniel van Vugt (vanvugt) wrote :

Fix released in Compiz Main Plugins 0.9.7.2

Changed in compiz-plugins-main:
status: Fix Committed → Fix Released
Jorge Gustavo (jgr) wrote :

I'm still having this bug, with compiz 0.9.7.8-0ubuntu1.4.
Sometimes, if chrome is used, animations are played in the rectangular area on the top left corner. It not just a blank rectangle. It's an area where animations (from pages openned on chrome) are displayed.

Unable to capture the bug with printscreen. I'm uploading a real photo of the screen.

Linux beijing 3.2.0-32-generic-pae
nvidia-current 304.60-0ubuntu1~precise~xup2
compiz 0.9.7.8-0ubuntu1.4

Daniel van Vugt (vanvugt) wrote :

Jorge,

Your photo shows you're experiencing a completely different bug. Regardless, please log a new bug using this command:
    ubuntu-bug compiz

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments